/**
 * @file Motor_Control.h
 * @author Ryan Lipski, Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 1/28/2015\n Created: 1/27/2015 4:45:50 PM
 * @brief This file is code for the control loops for the three motors.
 */ 

#ifndef MOTOR_CONTROL_H_
#define MOTOR_CONTROL_H_

#include <stdint.h>

void Motor_Control(void);
void Motor_Control_Update_Velocity_X(float UpdateValue);
void Motor_Control_Update_Velocity_Y(float Updated_Value);
void Motor_Control_Update_Depth_Z(float UpdateValue);
void Motor_Control_Motor_X_Flag_Update(uint8_t Input);
void Motor_Control_Motor_Y_Flag_Update(uint8_t Input);
void Motor_Control_Motor_Z_Flag_Update(uint8_t Input);
void Motor_Control_Update(void);
void Motor_Control_Enable_Flag(void);

#endif /* MOTOR_CONTROL_H_ */