/**
 * @file Swarming.h
 * @author Ryan Lipski, Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 4/29/2015\n Created: 2/12/2015 11:35:36 PM
 * @brief  This file is the header file for the swarming algorithm.
 */

#ifndef Swarming_H_
#define Swarming_H_

/** @brief Maximum radius for each of the ranges in inches. */
enum Region_Radius
{
    Radius_Red = 750,
    Radius_Green = 400,
    Radius_Yellow = 100
};

void Swarming(void);
int Swarming_Retrieve_X_Offset(void);
int Swarming_Retrieve_Y_Offset(void);
void Swarming_Update(void);
void Swarming_Enable_Flag(void);

#endif /* Swarming_H_ */