/**
 * @file CD4051.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 1/22/2015\n Created: 10/23/2014 3:23:07 PM
 * @brief This file is code to control the CD4051 multiplexer connected to the ADC.
 */ 

#ifndef CD4051_H_
#define CD4051_H_

/** @brief The port on the multiplexer that has the current reference voltage. */
#define Battery_Mux_Port 0
/** @brief Multiplexer port for the front photodiode. */
#define Photodiode_front 1
/** @brief Multiplexer port for the right front photodiode. */
#define Photodiode_rightfront 2
/** @brief Multiplexer port for the right rear photodiode. */
#define Photodiode_rightrear 3
/** @brief Multiplexer port for the left front photodiode. */
#define Photodiode_leftfront 4
/** @brief Multiplexer port for the left rear photodiode. */
#define Photodiode_leftrear 6
/** @brief The default port for the pressure sensor on the ATMega328P. */
#define Pressure_Sensor_Mux_Port 7

void CD4051_Initialize(void);
void CD4051_Read_Range(int *Output, unsigned char Minimum_Multiplexer_Pin, unsigned char Maximum_Multiplexer_Pin);
int CD4051_Read_Single_Pin(unsigned char Multiplexer_Pin);

#endif /* CD4051_H_ */