/**
 * @file I2C_Interface.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 1/22/2015\n Created: 10/30/2014 4:09:09 PM
 * @brief This file is code to control the TWI_Master.
 */ 

#ifndef I2C_INTERFACE_H_
#define I2C_INTERFACE_H_

#include <stdint.h>

void I2C_Interface_Initialize(void);
void I2C_Interface_Write(uint8_t Device_Address, uint8_t Device_Register, uint8_t Value_To_Write);
uint8_t I2C_Interface_Single_Read(uint8_t Device_Address, uint8_t Device_Register);
void I2C_Interface_Read_Array(uint8_t Device_Address, uint8_t Device_Register, uint8_t* Return_Buff, uint8_t Size_Of_Return_Buff);
uint8_t I2C_Interface_Not_Busy(void);

#endif /* I2C_INTERFACE_H_ */