/**
 * @file USART.h
 * @author Ryan Lipski, Nick Sikkema
 * @version Revision: 1.5
 * @date Last Updated: 3/20/2015\n Created: 11/12/2014 7:36:35 PM
 * @brief This is the header file to control the USART on the ATMega328P.
 */ 

#ifndef USART_H_
#define USART_H_

/** @brief Max buffer size for the conversion between float and string. */
#define FLOATING_POINT_BUFFER_SIZE 15

void USART_Initialize(void);
void USART_Send_Byte(char data);
unsigned char USART_Receive_Byte(void);
void USART_Send_String(char* string);
int USART_Read_String(char* string);
int USART_Read_String_With_Echo(char* string);
char * USART_ftoa(float Input_Value, char *Buffer);

#endif /* USART_H_ */