/**
 * @file DRV8830.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 3/20/2015\n Created: 11/8/2014 3:54:57 PM
 * @brief This file is code to read control the h-bridges.
 */ 

#ifndef DRV8830_H_
#define DRV8830_H_

/** @brief The maximum voltage that we will allow for the h-bridge. */
#define Motor_Max_Voltage 4.98

#include <stdint.h>

void DRV8830_Initialize(void);
void DRV8830_Set_Voltage_Motor_X(float Voltage);
void DRV8830_Set_Voltage_Motor_Y(float Voltage);
void DRV8830_Set_Voltage_Motor_Z(float Voltage);
uint8_t DRV8830_Read_Fault_Motor_X(void);
uint8_t DRV8830_Read_Fault_Motor_Y(void);
uint8_t DRV8830_Read_Fault_Motor_Z(void);
void DRV8830_Clear_Fault_Motor_X(void);
void DRV8830_Clear_Fault_Motor_Y(void);
void DRV8830_Clear_Fault_Motor_Z(void);
uint8_t DRV8830_Check_Motors(void);

#endif /* DRV8830_H_ */