/**
 * @file LSM303.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 1/22/2015\n Created: 10/30/2014 4:42:22 PM
 * @brief This file is code to control the LSM303.
 */ 

#ifndef LSM303_H_
#define LSM303_H_

#include <stdint.h>

void LSM303_Initialize();
void LSM303_Read_Mag(int16_t *Mag);
void LSM303_Read_Acc(int16_t *Acc);
float LSM303_Heading(int16_t *Acc, int16_t *Mag);
void LSM303_UpdateForwardHeading(void);
float LSM303_HeadingWithOffset(float heading);
uint8_t LSM303_RotationFinished(void);
uint8_t LSM303_IsStablized(void);

#endif /* LSM303_H_ */