/**
 * @file MPX5010GP.h
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 2/11/2015\n Created: 2/11/2014 11:50 PM
 * @brief This file is code to read the depth from the MPX5010GP pressure sensor.
 */ 

#ifndef MPX5010GP_H_
#define MPX5010GP_H_

#ifndef Foot_Water_Per_PSI
    /** @brief The conversion factor between PSI and feet. */
    #define Foot_Water_Per_PSI 2.921
#endif

float MPX5010GP_Depth(void);
float MPX5010GP_Calculate_PSI(int ADC_Value);

#endif /* MPX5010GP_H_ */