/**
 * @file Test_LED.c
 * @author Nicholas Sikkema
 * @version Revision: 1.0
 * @date Last Updated: 4/29/2015\n Created: 2/28/2015 7:31:18 PM
 * @brief This file is for the testing of the LED code.
 */

#ifndef F_CPU
    /** @brief The current clock speed for the microcontroller. */
    #define F_CPU 16000000UL
#endif

#include <util/delay.h>
#include "../Master_Build_Control.h"
#include "../Subsystem/Light/XPEBBL.h"

void Test_LED_Front_Toggle(void)
{
    /* Initialize the LEDs. */
    XPEBBL_Initialize();
    while(1)
    {
        XPEBBL_Toggle_Front_LED();
        _delay_ms(25);
    }
}

void Test_LED_Change_LED(void)
{
    /* Initialize the LEDs. */
    XPEBBL_Initialize();
    while(1)
    {
        XPEBLL_Change_LED();
        _delay_ms(25);
    }
}

/**
 * @brief This function is used to test the toggling of the LED code.
 */ 
void Test_LED(void)
{
    #if LED_Test_Mode == 0
        Test_LED_Front_Toggle();
    #elif LED_Test_Mode == 1
        Test_LED_Change_LED();
    #endif
}